Bug 1665249 - Exception page on service request details
Summary: Exception page on service request details
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.11.0
Assignee: Gregg Tanzillo
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1702481
TreeView+ depends on / blocked
 
Reported: 2019-01-10 19:30 UTC by Mike Shriver
Modified: 2019-12-13 15:01 UTC (History)
14 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1702481 (view as bug list)
Environment:
Last Closed: 2019-12-13 15:01:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot of error page on request details (99.01 KB, image/jpeg)
2019-01-10 19:30 UTC, Mike Shriver
no flags Details

Description Mike Shriver 2019-01-10 19:30:14 UTC
Created attachment 1519905 [details]
screenshot of error page on request details

Description of problem:
I am hitting an 'Unexpected error encountered' page while attempting to view the details on a subordinate region for a service request made from a global region.

Setup:
Active Directory authentication
Global region
1x subordinate region, with openstack provider configured
Catalog + Item for openstack instance provisioning, with tag control service dialog


Version-Release number of selected component (if applicable):
5.10.0.31.20190108221820_a0968c8

How reproducible:
100%

Steps to Reproduce:
1. Login as active directory user on global region
2. Order service for instance provisioning
3. Login as active directory user on subordinate region
4. Navigate to Services->Requests
5. Select the specific request that was generated from the global region

Actual results:
 Unexpected Error encountered page displayed


Expected results:
The service request details are displayed

Additional info:

Comment 8 Mike Shriver 2019-01-30 22:33:00 UTC
Created attachment 1525151 [details]
cfme-5972-production.log

Comment 10 Tina Fitzgerald 2019-01-31 18:47:18 UTC
Hi Mike,

Can I access your 5.9.7.2 appliance?

Thanks,
Tina

Comment 11 drew uhlmann 2019-01-31 21:19:19 UTC
https://github.com/ManageIQ/manageiq/pull/18424

Comment 14 Niyaz Akhtar Ansari 2019-05-16 10:35:06 UTC
Verified in Version 5.11.0.4.20190514210444_0c91ee1


Note You need to log in before you can comment on or make changes to this bug.